Subject: Re: Is Cygwin legal under Windows XP?
From: "Gerrit P. Haase" <[email-masked]>
To: Doug Wyatt <[email-masked]>
Cc: [email-masked]
Date: Sun, 21 Apr 2002 09:54:01 +0200

Hallo Doug,

> The following excerpt is from Brian Livingston's 'Windows Manager'
> column, 18Mar2002:
> http://www.infoworld.com/articles/op/xml/02/03/18/020318oplivingston.xml

> I'm wondering if, in addition to possibly forbidding the use of VNC,
> this might also forbid installing Cygwin on WinXP and then using a
> remote connection to the WinXP PC with Cygwin's telnetd, rlogind,
> rshd, sshd or any X-Windows type of interface, unless you also have
> a WinXP license for the computer at the other end of the connection.

Cygwin is legal under XP.  But it is illegal to connect from a remote
Device if you don't have a XP license for that remote Device. That's it.
And that is true for every executable which runs on a XP workstation.
But hey, who wants to use a workstation as server?
Lets wait what new tweaks they write into the new .NET Server license;)

> I know this might be considered OT, but I thought it was worth
> raising the issue.

I don't think that it is OT.

> From the article:

[...]

> Microsoft's XP license agreement says, "Except as otherwise permitted
> by the NetMeeting, Remote Assistance, and Remote Desktop features
> described below, you may not use the Product to permit any Device to
> use, access, display, or run other executable software residing on the
> Workstation Computer, nor may you permit any Device to use, access,
> display, or run the Product or Product's user interface, unless the Device
> has a separate license for the Product."

> That means using any software other than Microsoft's to view an XP
> desktop from Windows 2000 or any other operating system would violate
> the company's license agreement, in case you care.

That is not correct, you can use whatever software you want to as long
as your 'Device' has a XP license.

[...]

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/